local MinBuild, MaxBuild, Build = 40000, 0, select(4, GetBuildInfo())
if Build < MinBuild or ( MaxBuild > 0 and Build > MaxBuild ) then return end
local AddonName, AddonTable = ...
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")
local L = AddonTable.Localize
local s = SpellFlashAddon
local a = AddonTable
local x = SpellFlashAddon.UpdatedVariables
local EVENT = {}


-- Event listings:
-- http://wowprogramming.com/docs/events
-- http://www.wowwiki.com/Events_(API)

--[[ Example event function:

function EVENT.EVENT_NAME_GOES_HERE(arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9)
	print("|cFF00FFFF["..PlainAddonTitle.."]|r "..L["Something happened!"])
end

--]]


if not next(EVENT) then return end
local EventFrame = CreateFrame("Frame")
local function OnEvent(self, event, ...)
	EVENT[event](...)
end
EventFrame:SetScript("OnEvent", OnEvent)
for event in pairs(EVENT) do
	EventFrame:RegisterEvent(event)
end
EventFrame:Hide()